-- 到仓详情表
CREATE TABLE `ecw_order_warehouse_check` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `warehouse_in_id` bigint NOT NULL COMMENT '入仓记录id',
  `order_id` bigint NOT NULL COMMENT '订单ID',
  `order_no` char(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '订单编号',
  `order_item_id` bigint NOT NULL COMMENT '订单项id',
  `cartons_num` int NOT NULL DEFAULT '0' COMMENT '箱/件数',
  `check_cartons_num` int NOT NULL DEFAULT '0' COMMENT '到仓箱/件数',
  `quantity_all` int DEFAULT NULL COMMENT '所有箱总数量',
  `unit` char(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '单位',
  `box_gauge` char(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '箱规',
  `volume` decimal(10,2) DEFAULT NULL COMMENT '体积',
  `weight` decimal(10,2) DEFAULT NULL COMMENT '重量',
  `express_no` varchar(2048) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '快递单号',
  `check_time` datetime DEFAULT NULL COMMENT '到仓时间',
  `creator` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` bit(1) DEFAULT b'0' COMMENT '是否删除',
  `source` int DEFAULT '1' COMMENT '入仓来源 字典order_warehouse_in_source 1-始发港入仓、2-调拨入仓、3-目的港入仓、4-退场入仓',
  `specification_type` int DEFAULT '1' COMMENT '入仓规格类型',
  `remark` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '备注',
  `order_warehouse_check_details` json DEFAULT NULL COMMENT '到仓纪录明细json',
  PRIMARY KEY (`id`),
  KEY `order_id` (`order_id`),
  KEY `warehouse_in_id` (`warehouse_in_id`),
  KEY `order_item_id` (`order_item_id`)
) ENGINE=InnoDB COMMENT='到仓货物详情表'
